---
title: StorageQuota
slug: Web/API/StorageQuota
tags:
  - Obsolete
  - Interface
  - Quota Management API
  - Reference
  - StorageQuota
---
<p>{{obsolete_header}}{{APIRef("Quota Management API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>storageQuota</code></strong> property of the {{domxref("Navigator")}} interface of the <a href="/en-US/docs/Web/API/Quota_Management_API">Quota Management API</a> provides means to query and request storage usage and quota information.</span> You can get a reference to this interface using <code>Navigator.storageQuota</code>.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("StorageQuota.supportedTypes")}} {{readonlyinline}}</dt>
 <dd>Returns a list of the available storage types. </dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("StorageQuota.queryInfo")}}</dt>
 <dd>Returns a {{domxref("StorageInfo")}} object containting the current data usage and available quota information for the application.</dd>
 <dt>{{domxref("StorageQuota.requestPersistentQuota")}}</dt>
 <dd>Requests persistent storage for the requesting application and returns a {{jsxref('Promise')}} to an instance of {{jsxref('StorageInfo')}}. There is no guarantee that the requested space will be granted by the user agent.</dd>
 <dt>
 <h2 id="Specifications">Specifications</h2>
 </dt>
</dl>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Quota Management','#widl-Navigator-storageQuota','storageQuota')}}</td>
   <td>{{Spec2('Quota Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StorageQuota")}}</p>
